<?php
// -----------------------------------------------------------------------------
// $Id: english.php 26 2016-01-09 09:35:43Z Raoul $
//
// Copyright (C) 2016 Raoul Proença
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.xyz/
// -----------------------------------------------------------------------------
// This program is free software: you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program. If not, see <http://www.gnu.org/licenses/>.
// -----------------------------------------------------------------------------
// Don't forget to escape single quotes ' with a backslash \ in
// replacement strings.
//
// Example: 'REFERENCE' => 'You\'re using Gnew'
//
// You must use double quotes " if replacement string contains escape
// chars like newline \n .
//
// Example: 'REFERENCE' => 'Hello<br />' or 'REFERENCE' => "Hello\n"
// -----------------------------------------------------------------------------

$lang = array(
/***********
 * Install *
 ***********/
'DATABASE_ADDED' => 'The database was successfully added.',
'DATABASE_SELECTED' => 'The database was successfully selected.',
'ERROR_DELETE_FILE' => 'Unable to delete "%s" file.',
'ERROR_OPEN_FILE' => 'Unable to open "%s" file.',
'FORM_DATABASE' => 'Database:',
'FORM_HOST' => 'Host:',
'FORM_PORT' => 'Port:',
'FORM_TYPE' => 'Database type:',
'INSTALL_EMOTICONS' => 'Install default emoticons?',
'INSTALL_FINISHED' => 'The installation is finished, please remove the <span style="font-style: italic">install/</span> folder from your server.<br /><br />Go to the <a href="./../index.php" title="Home">index page</a> of your website.',
'INSTALL_README' => 'Please, also read the <a href="./../readme.txt" title="readme.txt">readme.txt</a> file before continuing.',
'INSTALL_REQUIRED_1' => 'A webserver or web hosting account',
'INSTALL_REQUIRED_2' => 'PHP 5.3.0 or higher (with <a href="http://www.php.net/manual/en/function.mail.php" title="mail()">mail()</a> function and <a href="http://www.php.net/manual/en/book.image.php" title="GD library">GD library</a> enabled, preferably)',
'INSTALL_REQUIRED_3' => 'A MySQL database (5.0 or higher) or a PostgreSQL database (8.4 or higher) or <a href="http://www.php.net/manual/en/book.sqlite3.php" title="SQLite 3">SQLite 3</a> database support in PHP',
'INSTALL_STEP_1' => 'Welcome to Gnew installation!<br /><br />In order to have Gnew working completely, the following is required:',
'INSTALL_STEP_2' => 'Please choose your database type:',
'INSTALL_STEP_3' => 'Please fill in the form with your database settings:',
'INSTALL_STEP_4' => 'Please fill in the form with a username, a password and a valid e-mail address:',
'INSTALL_STEP_5' => 'Please fill in the form with your website\'s name and URL:',
'NEXT_STEP' => 'Next step',
'SETTINGS_UPDATED' => 'Settings were successfully updated.',
'TABLES_CREATED' => 'Tables were successfully created.',
'USER_CREATED' => 'The user was successfully created.',
/***********
 * General *
 ***********/
'ACTIONS' => 'Actions',
'ADD' => 'Add',
'ADD_ARTICLES' => 'Add articles',
'ADD_CATEGORIES' => 'Add categories',
'ADD_EMOTICONS' => 'Add emoticons',
'ADD_NEWS' => 'Add news',
'ADD_POLLS' => 'Add polls',
'ADD_SUBMITTED' => 'Add submitted news',
'ADMINISTRATION' => 'Administration',
'ADMINISTRATOR' => 'Administrator',
'ADVANCED_ADMIN' => 'Advanced administration section',
'ADVANCED_MODERATOR' => 'Advanced moderator',
'ANSWERS' => 'Answers',
'ANSWERS_EXAMPLE' => "Answer #1\nAnswer #2\nAnswer #3",
'APRIL' => 'April',
'ARTICLES' => 'Articles',
'ARTICLES_NEWS_FORUM' => 'articles, news and forum',
'ARTICLES_ONLY' => 'articles only',
'ASCENDING' => 'Ascending',
'AUDIOS' => 'Audios',
'AUGUST' => 'August',
'BACK' => 'Back',
'BACK_ADMIN' => 'Back to administration section',
'BACK_ADVANCED_ADMIN' => 'Back to advanced administration section',
'BACK_CATEGORIES_INDEX' => 'Back to categories index',
'BACK_COMMENTS_INDEX' => 'Back to comments index',
'BACK_HOME' => 'Back to home',
'BACK_THREADS_INDEX' => 'Back to threads index',
'BANNED' => 'Banned',
'BROWSE' => 'Browse',
'BY' => 'by',
'CACHE_EXPIRY' => '/!\\ Page cached until %s or until the next update /!\\',
'CATEGORIES' => 'Categories',
'CLOSE' => 'Close?',
'CODES' => 'Codes',
'COMMENT' => 'Comment',
'COMMENTS' => 'Comments',
'CONTINUE' => 'Continue',
'COPYRIGHT' => 'Powered by <a href="http://www.gnew.xyz/" title="Gnew">Gnew</a> %s, Copyright &copy; 2016 Raoul Proen&ccedil;a<br />Icons theme from the <a href="http://www.gnome.org/" title="GNOME">GNOME</a> desktop',
'CREATIONS' => 'Creations',
'CREATORS' => 'Creators',
'CURRENT_TIME' => 'The time now is %s.',
'DATE_HELP' => 'Date format is based on <a href="http://www.php.net/en/date" title="PHP date function">PHP date function</a> (example: D, M jS Y, g:i a).',
'DAY' => 'Day',
'DECEMBER' => 'December',
'DELETE' => 'Delete',
'DESCENDING' => 'Descending',
'DIRECT_LINK' => 'Direct link',
'EDIT' => 'Edit',
'EDITED_BY' => '; Edited by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> %s',
'EDITIONS' => 'Editions',
'EDIT_ARTICLES' => 'Edit articles',
'EDIT_CATEGORIES' => 'Edit categories',
'EDIT_EMOTICONS' => 'Edit emoticons',
'EDIT_NEWS' => 'Edit news',
'EDIT_POLLS' => 'Edit polls',
'EDIT_SETTINGS' => 'Edit settings',
'EDIT_TEMPLATES' => 'Edit templates',
'EDIT_USERS' => 'Edit users',
'EMOTICONS' => 'Emoticons',
'EMPTY_IMAGE' => 'Use an empty image?',
'ENGLISH' => 'English',
'FEBRUARY' => 'February',
'FIRST_POSTS' => 'First posts',
'FORGOT_PASSWORD' => 'Forgot password?',
'FORUM' => 'Forum',
'FORUM_ONLY' => 'forum only',
'FRENCH' => 'Fran&ccedil;ais',
'GNEW_AVAILABLE' => '<br />The version %s of <a href="http://www.gnew.xyz/" title="Gnew">Gnew</a> is now available.',
'HIDDEN_COMMENT' => 'Hidden comment',
'HIDE' => 'Hide?',
'HOME' => 'Home',
'HOURS_AGO' => '%s hours ago',
'HOUR_AGO' => '%s hour ago',
'HTML_DISABLED' => 'HTML language is disabled',
'HTML_EMAIL' => 'Send in HTML format?',
'HTML_ENABLED' => 'HTML language is enabled',
'HTML_WARNING' => 'If <a href="http://www.w3.org/TR/html5/" title="HTML language">HTML language</a> is enabled and you want to use it, please check start and end tags.',
'IDS' => 'IDs',
'IMAGES' => 'Images',
'IN' => 'in',
'IN_SUBJECTS' => 'in subjects',
'IN_TEXTS' => 'in texts',
'JANUARY' => 'January',
'JULY' => 'July',
'JUNE' => 'June',
'LAST_ARTICLES' => 'Last articles',
'LAST_COMMENTS' => 'Last comments',
'LAST_NEWS' => 'Last news',
'LAST_PAGES' => 'Last pages',
'LAST_POLLS' => 'Last polls',
'LAST_POSTS' => 'Last posts',
'LEVELS' => 'Levels',
'LOGIN' => 'Log in',
'LOGIN_LINK' => '<a href="./../users/login.php" title="Log in">Log in</a>',
'LOGOUT_LINK' => '<a href="./../users/logout.php" title="Log out">Log out</a> (<a href="./../users/profile.php" title="My profile">%s</a>)',
'MANAGE_MEDIAS' => 'Manage medias',
'MARCH' => 'March',
'MAY' => 'May',
'MEDIAS' => 'Medias',
'MINUTES_AGO' => '%s minutes ago',
'MINUTE_AGO' => '%s minute ago',
'MODERATOR' => 'Moderator',
'MONTH' => 'Month',
'NAMES' => 'Names',
'NEWS' => 'News',
'NEWS_ONLY' => 'news only',
'NEXT_PAGE' => 'Next page',
'NO' => 'No',
'NOT_SPECIFIED' => 'not specified',
'NOVEMBER' => 'November',
'OCTOBER' => 'October',
'ON' => 'on %s',
'ONLINE_USERS' => 'Currently, there are %s anonymous user(s) and %s registered user(s) online.',
'ONLY' => 'only',
'OTHER_POLLS' => 'Other polls',
'PAGES' => 'Pages: %s',
'PAGE_GENERATED' => 'Page generated in %s with %s SQL queries',
'PARENT_COMMENT' => 'Parent comment',
'PIXELS_MAX' => '%s &times; %1$s pixels max',
'POLLS' => 'Polls',
'POSTED_BY' => 'Posted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> %s',
'POSTS' => 'Posts',
'PREVIEW' => 'Preview',
'PREVIEW_HELP' => 'If the above preview is correct, click <strong>Add</strong>, otherwise you can preview again until you\'re done.',
'PREVIOUS_PAGE' => 'Previous page',
'PRIVATE' => 'private (forum)',
'PUBLIC' => 'Public',
'PURGE' => 'Purge',
'PURGE_CACHE' => 'Purge cache files',
'PURGE_USERS' => 'Purge users',
'RE' => 'Re: ',
'READ_MORE' => 'Read more',
'REGISTER' => 'Register',
'REPLIES' => 'Replies',
'REPLY' => 'Reply',
'RESULTS' => 'Results',
'SEARCH' => 'Search',
'SEARCH_HELP' => 'No result.<br /><br /><span style="text-decoration: underline">Help</span>:<br /><br /><ul><li>Search is performed in case-insensitive fashion.</li><li>All terms separated by a space " " are included in search. To restrict a search, just include more terms.</li><li>A question mark "?" replaces a single character in a word.</li></ul>',
'SECONDS_AGO' => '%s seconds ago',
'SECOND_AGO' => '%s second ago',
'SEND' => 'Send',
'SEPTEMBER' => 'September',
'SETTINGS' => 'Settings',
'SHOW_EMAIL' => 'Allow my e-mail address to be displayed?',
'SOURCE' => 'Source: %s',
'STICKY' => 'Sticky?',
'SUBJECTS' => 'Subjects',
'SUBMIT' => 'Submit',
'SUBMITTED_BY' => 'Submitted by <a href="./../users/info.php?user_id=%s" title="%2$s">%s</a> %s',
'TEMPLATES' => 'Templates',
'TEXTS' => 'Texts',
'THREADS' => 'Threads',
'TOTAL_VOTES' => 'Total votes: %s',
'USERS' => 'Users',
'VIDEOS' => 'Videos',
'VOTE' => 'Vote',
'VOTES' => '%s votes',
'WELCOME' => 'Welcome to %s.',
'YEAR' => 'Year',
'YES' => 'Yes',
/***********
 * E-mails *
 ***********/
'MAIL_PASSWORD_MESSAGE' => "Hello,\n\nHere's your new generated password: %s\nRemember that you will be able to modify this password if you wish. Just edit your profile and fill in your new personal password.\n\nBest regards,\n%s\n%s\n",
'MAIL_PASSWORD_SUBJECT' => '%s - Your new password',
'MAIL_REGISTER_MESSAGE' => "Hello %s,\n\nThank you for registering on %s website. In order to complete your registration, visit the following URL:\n\n%s\n\nBest regards,\n%s\n",
'MAIL_REGISTER_SUBJECT' => '%s - Your account activation',
'MAIL_SEND_HTML' => 'Hello,<br /><br />Your friend %s considered the following news interesting and wanted to send it to you:<br /><br /><strong>%s</strong><br /><br />%s<br /><br />For more details: <a href="%s" title="%5$s">%s</a>',
'MAIL_SEND_PLAIN' => "Hello,\n\nYour friend %s considered the following news interesting and wanted to send it to you:\n\n%s\n\n%s\n\nFor more details: %s\n",
'MAIL_SEND_SUBJECT' => '%s - News notification',
/*****************
 * Confirmations *
 *****************/
'ACCOUNT_ACTIVATED' => 'Your account was successfully activated. You can now <a href="./../users/login.php" title="Log in">log in</a>.',
'ARTICLE_ADDED' => 'The article was successfully added.',
'ARTICLE_DELETED' => 'The article was successfully deleted.',
'ARTICLE_EDITED' => 'The article was successfully edited.',
'CACHE_PURGED' => 'Cache files were successfully purged.',
'CATEGORY_ADDED' => 'The category was successfully added.',
'CATEGORY_DELETED' => 'The category was successfully deleted.',
'CATEGORY_EDITED' => 'The category was successfully edited.',
'COMMENT_ADDED' => 'The comment was successfully added.',
'COMMENT_DELETED' => 'The comment was successfully deleted.',
'COMMENT_EDITED' => 'The comment was successfully edited.',
'EMOTICON_ADDED' => 'The emoticon was successfully added.',
'EMOTICON_DELETED' => 'The emoticon was successfully deleted.',
'EMOTICON_EDITED' => 'The emoticon was successfully edited.',
'MEDIA_ADDED' => 'The file was successfully added.',
'MEDIA_DELETED' => 'The file was successfully deleted.',
'NEWS_ADDED' => 'The news was successfully added.',
'NEWS_DELETED' => 'The news was successfully deleted.',
'NEWS_EDITED' => 'The news was successfully edited.',
'NEWS_SENT' => 'The news was successfully sent to your friend.',
'NEWS_SUBMITTED' => 'Your news was successfully submitted. Please wait until a moderator read it.',
'PASSWORD_SENT' => 'Your new password was successfully sent to your e-mail address.',
'POLL_ADDED' => 'The poll was successfully added.',
'POLL_DELETED' => 'The poll was successfully deleted.',
'POLL_EDITED' => 'The poll was successfully edited.',
'POST_ADDED' => 'The post was successfully added.',
'POST_DELETED' => 'The post was successfully deleted.',
'POST_EDITED' => 'The post was successfully edited.',
'SETTINGS_EDITED' => 'Settings were successfully edited.',
'TEMPLATE_EDITED' => 'The template file was successfully edited.',
'USERS_PURGED' => 'Users were successfully purged.',
'USER_ADDED' => 'You were successfully added to our registered users. To complete your registration, an e-mail was sent to you. Please follow the instructions to activate your account.',
'USER_DELETED' => 'The user was successfully deleted.',
'USER_EDITED' => 'The user was successfully edited.',
'USER_OFFLINE' => 'You have successfully logged out.',
'USER_ONLINE' => 'You have successfully logged in.',
'USER_UPDATED' => 'Your profile was successfully updated.',
'VOTE_ADDED' => 'The vote was successfully added.',
/**********
 * Errors *
 **********/
'ERROR_ACCOUNT_DISABLED' => 'This account has not been activated yet.',
'ERROR_ACCOUNT_UNKNOWN' => 'This account does not need to be activated.',
'ERROR_ADMIN_ACCESS' => 'You are not allowed to access to the administration section.',
'ERROR_ADVANCED_ACCESS' => 'You are not allowed to access to the advanced administration section.',
'ERROR_BAD_SEARCH' => 'You must supply a valid search string: at least 3 characters long and composed of letters (accented or not), digits or - and _ characters.',
'ERROR_CACHE_FILE_OPEN' => 'Cache error: unable to open "%s" file.',
'ERROR_CATEGORY_EDIT_ARTICLE' => 'The level cannot be edited because there is %s article that belong to this category. If you really want to edit the level, you must edit this article.<br />',
'ERROR_CATEGORY_EDIT_ARTICLES' => 'The level cannot be edited because there are %s articles that belong to this category. If you really want to edit the level, you must edit these articles.<br />',
'ERROR_CATEGORY_EDIT_NEWS' => 'The level cannot be edited because there is/are %s news that belong to this category. If you really want to edit the level, you must edit this/these news.<br />',
'ERROR_CATEGORY_EDIT_POST' => 'The level cannot be edited because there is %s post that belong to this category. If you really want to edit the level, you must edit this post.<br />',
'ERROR_CATEGORY_EDIT_POSTS' => 'The level cannot be edited because there are %s posts that belong to this category. If you really want to edit the level, you must edit these posts.<br />',
'ERROR_CATEGORY_NO_POST' => 'This category contains no post.',
'ERROR_CODE_USED' => 'The emoticon code you entered is already in use.<br />',
'ERROR_COMMENTING_DISABLED' => 'Comments in news function is disabled.',
'ERROR_COMMENTS_INTERVAL' => 'Your last comment is less than %s seconds old. Please wait.',
'ERROR_COMMENT_DELETE_REPLIES' => 'The comment cannot be deleted because there are %s replies that belong to it. If you really want to delete this comment, you must delete these replies.<br />',
'ERROR_COMMENT_DELETE_REPLY' => 'The comment cannot be deleted because there is %s reply that belong to it. If you really want to delete this comment, you must delete this reply.<br />',
'ERROR_COMMENT_EDIT' => 'You are not allowed to edit this comment.',
'ERROR_COMMENT_HIDDEN' => 'This comment has been hidden. You can\'t reply to it.',
'ERROR_DIR_NOT_WRITABLE' => 'The directory "%s" is not writable. Please change the permissions of the directory to be writable by all.<br />',
'ERROR_DISPLAY_WIDTH' => 'The display width of the device is not suitable for displaying this website.',
'ERROR_EMAIL_USED' => 'The e-mail address you choose is already registered by another user.<br />',
'ERROR_FEED_FILE_OPEN' => 'Feed error: unable to open "%s" file.',
'ERROR_FILE_EXISTS' => 'The file already exists.<br />',
'ERROR_FILE_NOT_WRITABLE' => 'The file "%s" is not writable. Please change the permissions of the file to be writable by all.',
'ERROR_ID_MATCH' => 'Username and password don\'t match. Please try again.',
'ERROR_IMAGE_DIMENSION' => 'One dimension of the image is incorrect (greater than %s pixels).<br />',
'ERROR_IMAGE_EXISTS' => 'The image already exists.<br />',
'ERROR_INVALID_FEED_FILE' => 'Invalid feed file.<br />',
'ERROR_INVALID_FILE_SIZE' => 'Invalid file size (the maximum size of an uploaded file is %s bytes).<br />',
'ERROR_INVALID_IMAGE_FILE' => 'Invalid image file.<br />',
'ERROR_INVALID_MEDIA_TYPE' => 'Invalid media type.<br />',
'ERROR_INVALID_UPLOADED_FILE' => 'Invalid file or an error occured while moving uploaded file.',
'ERROR_INVALID_USER_CAPTCHA' => 'Invalid CAPTCHA.<br />',
'ERROR_INVALID_USER_EMAIL' => 'Invalid e-mail address.<br />',
'ERROR_LEVEL_ACCESS' => 'You are not allowed to access this section.',
'ERROR_LEVEL_ARTICLES' => 'You are not allowed to add or edit articles.',
'ERROR_LEVEL_CATEGORIES' => 'You are not allowed to add or edit categories.',
'ERROR_NAME_EXTENSION' => 'Please remove the extension from the new name of the file.<br />',
'ERROR_NAME_LENGTH' => 'Username must be at least %s characters long.<br />',
'ERROR_NAME_USED' => 'The category name you entered is already in use.<br />',
'ERROR_NEWS_DELETE' => 'The news cannot be deleted because there is/are %s comment(s) that belong to it. If you really want to delete this news, you must delete this/these comments.',
'ERROR_NEWS_SORTING' => 'There is no element to display the way you selected to sort the news.',
'ERROR_NO_ANSWER' => 'You must supply an answer.<br />',
'ERROR_NO_ARTICLE' => 'No article available.',
'ERROR_NO_CATEGORY' => 'No category available.<br />',
'ERROR_NO_CODE' => 'You must supply a code.<br />',
'ERROR_NO_COMMENT' => 'No comment available.',
'ERROR_NO_DATA' => 'This page contains no data.',
'ERROR_NO_DATE_FORMAT' => 'You must supply a date format.<br />',
'ERROR_NO_DATE_OFFSET' => 'You must supply a date offset.<br />',
'ERROR_NO_EMAIL' => 'You must supply an e-mail address.<br />',
'ERROR_NO_FILE' => 'You must supply a file.<br />',
'ERROR_NO_FRIEND_EMAIL' => 'You must supply your friend e-mail address.<br />',
'ERROR_NO_IMAGE' => 'You must supply an image.<br />',
'ERROR_NO_NAME' => 'You must supply a name.<br />',
'ERROR_NO_PASSWORD' => 'You must supply a password.<br />',
'ERROR_NO_POLL' => 'No poll available.',
'ERROR_NO_QUESTION' => 'You must supply a question.<br />',
'ERROR_NO_SITE_NAME' => 'You must supply a site name.<br />',
'ERROR_NO_SITE_URL' => 'You must supply a site URL.<br />',
'ERROR_NO_SUBJECT' => 'You must supply a subject.<br />',
'ERROR_NO_TEXT' => 'You must supply a text.<br />',
'ERROR_NO_THREAD' => 'No thread available.',
'ERROR_NO_USER' => 'You must supply a username or an e-mail address.',
'ERROR_NO_USERNAME' => 'You must supply a username.<br />',
'ERROR_NO_USER_ID' => 'Username or e-mail address is unknown. Please try again.',
'ERROR_OPEN_PARENT' => 'unable to open parent file.',
'ERROR_PARSE_BLOCK' => 'unable to parse "%s" block.',
'ERROR_PARSE_FILE' => 'unable to parse "%s" file.',
'ERROR_PASSWORD_LENGTH' => 'Your password must be at least %s characters long.<br />',
'ERROR_PASSWORD_MATCH' => 'Passwords don\'t match.<br />',
'ERROR_POSTS_INTERVAL' => 'Your last post is less than %s seconds old. Please wait.',
'ERROR_POST_EDIT' => 'You are not allowed to edit this post.',
'ERROR_PRIVATE_CATEGORY' => 'You are not allowed to access this private category.',
'ERROR_QUERY' => 'Error in query!',
'ERROR_REGISTRATION_DISABLED' => 'Users registration function is disabled.',
'ERROR_SEARCH_LIMIT' => 'More than %s elements contain the search string. Please specify your search.',
'ERROR_SENDING_DISABLED' => 'News sending function is disabled.',
'ERROR_SESSION_DESTRUCTION' => 'You have no session that need to be destroyed.',
'ERROR_SET_BLOCK' => 'unable to set block.',
'ERROR_SET_FILE' => '$file parameter is empty.',
'ERROR_SET_FILE_NAME' => 'set_file() function: $name parameter is empty.',
'ERROR_SET_FILE_OPEN' => 'set_file() function: unable to open "%s" file.',
'ERROR_SET_VAR' => '$name parameter is empty.',
'ERROR_STORY_EXPIRY' => 'The last comment in this story is more than %s days old. This story has expired, it can\'t be modified.<br />',
'ERROR_SUBMITTING_DISABLED' => 'News submitting function is disabled.',
'ERROR_SUBMIT_LIMIT' => 'You can only submit %s news for the time being. As soon as a moderator will validate your previous news, you will be authorized to submit a new one.',
'ERROR_TEMPLATE' => 'Template error: %s',
'ERROR_TEMPLATE_ROOT' => '"%s" does not exist or is not a directory.',
'ERROR_THREAD_CLOSED' => 'This thread is closed.',
'ERROR_THREAD_EXPIRY' => 'The last post in this thread is more than %s days old. This thread has expired, it can\'t be modified.<br />',
'ERROR_TURN_LANDSCAPE' => 'Please turn your mobile phone into landscape mode.',
'ERROR_UNSUPPORTED_MEDIA_TYPE' => 'Media type not supported by your web browser.',
'ERROR_USERNAME_USED' => 'The name you choose is already registered by another user.<br />',
'ERROR_USER_DELETE' => 'The user cannot be deleted because there are always %s article(s), %s comment(s), %s news, %s poll(s) or %s post(s) that belong to him. If you really want to delete this user, you must delete them before. It would be safer to only ban this user.',
'ERROR_USER_DISABLED' => 'This user is not allowed to log in.',
'ERROR_USER_OFFLINE' => 'You are not logged in. Please <a href="./../users/login.php" title="Log in">log in</a> before.',
'ERROR_USER_ONLINE' => 'You are already logged in!',
'ERROR_USER_REGISTERED' => 'You are already registered!',
'ERROR_VERSION_CHECK' => '<br />Unable to check for a newer version of Gnew.',
'ERROR_VOTES_INTERVAL' => 'Your last vote is less than %s day(s) old. Please wait.',
/***********
 * Headers *
 ***********/
'HEADER_ADMIN_ADVANCED' => 'This section allows you to perform advanced actions.',
'HEADER_ADMIN_ARTICLES1' => 'Add a new article from this form.',
'HEADER_ADMIN_ARTICLES2' => 'List of existing articles:',
'HEADER_ADMIN_CATEGORIES1' => 'Add a new category from this form.',
'HEADER_ADMIN_CATEGORIES2' => 'List of existing categories:',
'HEADER_ADMIN_CATEGORIES3' => 'If you don\'t want to edit the current image, leave the image field empty.<br />If you want to replace the current image with an empty one, check the box.',
'HEADER_ADMIN_CATEGORIES4' => 'You are about to delete <strong>1</strong> category but also <strong>%s</strong> article(s), <strong>%s</strong> news and <strong>%s</strong> post(s). Are you sure?',
'HEADER_ADMIN_EMOTICONS1' => 'Add a new emoticon from this form.',
'HEADER_ADMIN_EMOTICONS2' => 'List of existing emoticons:',
'HEADER_ADMIN_EMOTICONS3' => 'If you don\'t want to edit the current image, leave the image field empty.',
'HEADER_ADMIN_INDEX' => 'This section allows you to perform standard actions.',
'HEADER_ADMIN_MEDIAS' => 'Add a new media from this form.<br />If you want to change the name of your local file, use the corresponding field.',
'HEADER_ADMIN_NEWS1' => 'Add a news from this form.',
'HEADER_ADMIN_NEWS2' => 'List of existing news:',
'HEADER_ADMIN_NEWS3' => 'List of submitted news:',
'HEADER_ADMIN_POLLS1' => 'Answers should be separated by a new line (see the example).',
'HEADER_ADMIN_POLLS2' => 'List of existing polls:',
'HEADER_ADMIN_POLLS3' => 'If you want to add a new answer, use the corresponding field.',
'HEADER_ADMIN_SETTINGS' => 'Default values ​​should be appropriate in most cases but do not hesitate to edit them if necessary (see the <a href="http://www.gnew.xyz/articles/read.php?article_id=1#settings" title="Documentation">documentation</a>).',
'HEADER_ADMIN_TEMPLATES1' => 'The first column represents the permissions of directories/files as an octal value (see <a href="http://en.wikipedia.org/wiki/Chmod" title="chmod">chmod</a> documentation). Files must be writable to be edited.<br /><br />Please select the template file you want to edit.',
'HEADER_ADMIN_TEMPLATES2' => 'Caution: do not edit template variables delimited by { and } (example: &#123;BACK_HOME&#125;).',
'HEADER_ADMIN_USERS1' => 'List of registered users:',
'HEADER_ADMIN_USERS2' => 'Banned: the user won\'t be able to log in anymore<br />Public: normal user<br />Moderator: access to admin section but no categories and articles management<br />Advanced moderator: access to admin section with categories and articles management<br />Administrator: access to advanced admin (all privileges)',
'HEADER_ARTICLES_INDEX' => 'List of existing articles:',
'HEADER_COMMENTS_INDEX' => 'You must be <a href="./../users/login.php" title="Log in">logged in</a> in order to add comments.',
'HEADER_NEWS_BROWSE' => 'You have the possibility to access to all the news available in the database. Simply choose a category name and/or a month of release and/or a year of release to display related news.',
'HEADER_NEWS_SEND' => 'To send this news to several persons, use a comma to separate e-mail addresses.',
'HEADER_NEWS_SUBMIT' => 'If none of the actual categories are suitable for your news, you can specify at the beginning of your text the category you would like us to create.<br /><br />A source is recommended in order to perform some verifications.',
'HEADER_POLLS_INDEX' => 'List of existing polls:',
'HEADER_POLLS_VIEW' => 'Poll results:',
'HEADER_POLLS_VOTE' => 'You must be <a href="./../users/login.php" title="Log in">logged in</a> to vote.',
'HEADER_SEARCH' => 'Query result for string "<strong>%s</strong>": %s element(s) found.',
'HEADER_USERS_INFO' => 'Profile of <strong>%s</strong>:',
'HEADER_USERS_LOGIN' => 'You\'re not registered yet? So, please <a href="./../users/register.php" title="Register">register</a>.<br /><br /><span class="warning">You must have cookies enabled in your browser!</span>',
'HEADER_USERS_PASSWORD' => 'You have forgotten your password? Then, fill in the form below and a new password (automatically generated) will be e-mailed to you.<br /><br />You can enter either your username or your e-mail address.<br /><br />Remember that you will be able to modify this new generated password if you wish (editing your profile).',
'HEADER_USERS_PROFILE' => 'If you don\'t want to change your password, leave the two password fields empty.<br /><br />Remember that a valid e-mail address is required to send you a new password if you forget the one you have assigned.',
'HEADER_USERS_REGISTER' => 'Please enter a valid e-mail address (it will be hidden by default). It is required to send you a new password if you forget the one you have assigned, for example. Moreover, an e-mail will be sent to you with instructions to complete your registration (otherwise you will not be able to log in).',
/*********
 * Forms *
 *********/
'FORM_AGE' => 'Age:',
'FORM_ANSWERS' => 'Answers:',
'FORM_ARTICLES' => 'Articles:',
'FORM_AVATAR' => 'Avatar:',
'FORM_BIRTHDAY' => 'Birthday:',
'FORM_CAPTCHA' => '<a href="http://en.wikipedia.org/wiki/CAPTCHA" title="CAPTCHA">CAPTCHA</a>:',
'FORM_CATEGORY' => 'Category:',
'FORM_CODE' => 'Code:',
'FORM_COMMENT' => 'Comment:',
'FORM_COMMENTS' => 'Comments:',
'FORM_CONTENT' => 'Content:',
'FORM_CURRENT_AVATAR' => 'Current avatar:',
'FORM_CURRENT_IMAGE' => 'Current image:',
'FORM_DESCRIPTION' => 'Description:',
'FORM_EMAIL' => 'E-mail address:',
'FORM_FILE' => 'File:',
'FORM_FRIEND_EMAIL' => 'Friend e-mail address:',
'FORM_IMAGE' => 'Image:',
'FORM_IP' => 'IP address:',
'FORM_LAST_VISIT' => 'Last visit:',
'FORM_LEVEL' => 'Level:',
'FORM_LOCATION' => 'Location:',
'FORM_MONTH' => 'Month:',
'FORM_NAME' => 'Name:',
'FORM_NEWS' => 'News:',
'FORM_NEW_ANSWER' => 'New answer:',
'FORM_NEW_NAME' => 'New name (without extension):',
'FORM_OCCUPATION' => 'Occupation(s):',
'FORM_PASSWORD' => 'Password:',
'FORM_PASSWORD2' => 'Password (confirmation):',
'FORM_POLLS' => 'Polls:',
'FORM_POSTS' => 'Posts:',
'FORM_QUESTION' => 'Question:',
'FORM_REGISTERED' => 'Registered:',
'FORM_SIGNATURE' => 'Signature:',
'FORM_SOURCE' => 'Source:',
'FORM_SUBJECT' => 'Subject:',
'FORM_TEXT' => 'Text:',
'FORM_USERNAME' => 'Username:',
'FORM_VOTES' => 'Votes:',
'FORM_WEBSITE' => 'Website:',
'FORM_YEAR' => 'Year:',
// -----------------------------------------------------------------------------
'FORM_ACCOUNTS_EXPIRY' => 'Accounts expiry (days):',
'FORM_ALLOW_EMOTICONS' => 'Allow emoticons?',
'FORM_ALLOW_HTML' => 'Allow HTML?',
'FORM_ARTICLES_PER_PAGE' => 'Articles per page:',
'FORM_ARTICLES_SORTING' => 'Articles sorting:',
'FORM_CATEGORIES_PER_PAGE' => 'Categories per page:',
'FORM_CATEGORIES_SORTING' => 'Categories sorting:',
'FORM_COMMENTS_INTERVAL' => 'Comments interval (seconds):',
'FORM_COMMENTS_PER_PAGE' => 'Comments per page:',
'FORM_COMMENTS_SORTING' => 'Comments sorting:',
'FORM_COOKIES_EXPIRY' => 'Cookies expiry (days):',
'FORM_DATE_FORMAT' => 'Date format:',
'FORM_DATE_OFFSET' => 'Date offset (hours):',
'FORM_HEADLINES_PER_FEED' => 'Headlines per feed:',
'FORM_LANGUAGE' => 'Language:',
'FORM_MAX_AVATARS_PIXELS' => 'Max pixels of avatars:',
'FORM_MAX_SUBMISSIONS_PER_USER' => 'Max submissions per user:',
'FORM_MAX_TEXTS_LENGTH' => 'Max length of texts:',
'FORM_MIN_PASSWORDS_LENGTH' => 'Min length of passwords:',
'FORM_MIN_USERNAMES_LENGTH' => 'Min length of usernames:',
'FORM_NEWS_COMMENTING' => 'Allow comments in news?',
'FORM_NEWS_PER_PAGE' => 'News per page:',
'FORM_NEWS_SENDING' => 'Allow news sending?',
'FORM_NEWS_SORTING' => 'News sorting:',
'FORM_NEWS_SUBMITTING' => 'Allow news submitting?',
'FORM_PAGES_LIMIT' => 'Pages limit:',
'FORM_POSTS_INTERVAL' => 'Posts interval (seconds):',
'FORM_POSTS_PER_PAGE' => 'Posts per page:',
'FORM_POSTS_SORTING' => 'Posts sorting:',
'FORM_QUESTIONS_PER_PAGE' => 'Questions per page:',
'FORM_QUESTIONS_SORTING' => 'Questions sorting:',
'FORM_SEARCH_LIMIT' => 'Search limit:',
'FORM_SENDER_EMAIL' => 'Sender e-mail:',
'FORM_SENDER_NAME' => 'Sender name:',
'FORM_SITE_NAME' => 'Site name:',
'FORM_SITE_URL' => 'Site URL:',
'FORM_STORIES_EXPIRY' => 'Stories expiry (days):',
'FORM_STORIES_PER_PAGE' => 'Stories per page:',
'FORM_TEMPLATE' => 'Template:',
'FORM_THREADS_EXPIRY' => 'Threads expiry (days):',
'FORM_THREADS_PER_PAGE' => 'Threads per page:',
'FORM_USERS_PER_PAGE' => 'Users per page:',
'FORM_USERS_REGISTERING' => 'Allow users registration?',
'FORM_USERS_SORTING' => 'Users sorting:',
'FORM_VOTES_INTERVAL' => 'Votes interval (days):',
/****************
 * Pages titles *
 ****************/
'ADMIN_ADVANCED' => 'Administration - Advanced',
'ADMIN_ARTICLES' => 'Administration - Articles',
'ADMIN_CACHE' => 'Administration - Cache',
'ADMIN_CATEGORIES' => 'Administration - Categories',
'ADMIN_COMMENTS' => 'Administration - Comments',
'ADMIN_EMOTICONS' => 'Administration - Emoticons',
'ADMIN_INDEX' => 'Administration - Index',
'ADMIN_MEDIAS' => 'Administration - Medias',
'ADMIN_NEWS' => 'Administration - News',
'ADMIN_POLLS' => 'Administration - Polls',
'ADMIN_POSTS' => 'Administration - Posts',
'ADMIN_SETTINGS' => 'Administration - Settings',
'ADMIN_TEMPLATES' => 'Administration - Templates',
'ADMIN_USERS' => 'Administration - Users',
'ARTICLES_INDEX' => 'Articles - Index',
'ARTICLES_READ' => 'Articles - Read',
'ARTICLES_SEARCH' => 'Articles - Search',
'COMMENTS_ADD' => 'Comments - Add',
'COMMENTS_EDIT' => 'Comments - Edit',
'COMMENTS_INDEX' => 'Comments - Index',
'COMMENTS_REPLY' => 'Comments - Reply',
'COMMENTS_SEARCH' => 'Comments - Search',
'NEWS_BROWSE' => 'News - Browse',
'NEWS_INDEX' => 'News - Index',
'NEWS_SEARCH' => 'News - Search',
'NEWS_SEND' => 'News - Send',
'NEWS_SUBMIT' => 'News - Submit',
'POLLS_INDEX' => 'Polls - Index',
'POLLS_VIEW' => 'Polls - View',
'POLLS_VOTE' => 'Polls - Vote',
'POSTS_ADD' => 'Posts - Add',
'POSTS_EDIT' => 'Posts - Edit',
'POSTS_INDEX' => 'Posts - Index',
'POSTS_LIST' => 'Posts - List',
'POSTS_READ' => 'Posts - Read',
'POSTS_SEARCH' => 'Posts - Search',
'USERS_INFO' => 'Users - Info',
'USERS_LOGIN' => 'Users - Log in',
'USERS_LOGOUT' => 'Users - Log out',
'USERS_PASSWORD' => 'Users - Password',
'USERS_PROFILE' => 'Users - Profile',
'USERS_REGISTER' => 'Users - Register'
);

?>